Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_ORBInitializer Class Reference

RTCORBA ORB initializer. More...

`#include <RT_ORBInitializer.h>`

Inheritance diagram for TAO_RT_ORBInitializer:

[legend]
Collaboration diagram for TAO_RT_ORBInitializer:

[legend]
List of all members.

## Public Types
enum | { TAO_PRIORITY_MAPPING_CONTINUOUS, TAO_PRIORITY_MAPPING_LINEAR, TAO_PRIORITY_MAPPING_DIRECT }
| Priority mapping types. More...
enum | { TAO_NETWORK_PRIORITY_MAPPING_LINEAR }
## Public Methods
| TAO_RT_ORBInitializer (int priority_mapping_type, int network_priority_mapping_type, int ace_sched_policy, long sched_policy, long scope_policy)
virtual void | pre_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | post_init (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Private Methods
void | register_policy_factories (PortableInterceptor::ORBInitInfo_ptr info ACE_ENV_ARG_DECL)
| Register RTCORBA policy factories.
## Private Attributes
TAO_RT_PolicyFactory | policy_factory_
int | priority_mapping_type_
| Priority mapping type.
int | network_priority_mapping_type_
| Network Priority mapping type.
int | ace_sched_policy_
| Scheduling policy.
long | sched_policy_
| Scheduling policy flag.
long | scope_policy_
| Scheduling scope flag.

## Detailed Description

RTCORBA ORB initializer.

## Member Enumeration Documentation

anonymous enum

  | Priority mapping types. Enumeration values:
  TAO_PRIORITY_MAPPING_CONTINUOUS |
  TAO_PRIORITY_MAPPING_LINEAR |
  TAO_PRIORITY_MAPPING_DIRECT |

anonymous enum

  | Enumeration values:
  TAO_NETWORK_PRIORITY_MAPPING_LINEAR |

## Constructor & Destructor Documentation

TAO_RT_ORBInitializer::TAO_RT_ORBInitializer | ( | int | priority_mapping_type,
|  | int | network_priority_mapping_type,
|  | int | ace_sched_policy,
|  | long | sched_policy,
|  | long | scope_policy
| ) |

## Member Function Documentation

void TAO_RT_ORBInitializer::post_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements PortableInterceptor::ORBInitializer.

void TAO_RT_ORBInitializer::pre_init | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Implements PortableInterceptor::ORBInitializer.

void TAO_RT_ORBInitializer::register_policy_factories | ( | PortableInterceptor::ORBInitInfo_ptr info | ACE_ENV_ARG_DECL | ) | `[private]`

| Register RTCORBA policy factories.

## Member Data Documentation

int TAO_RT_ORBInitializer::ace_sched_policy_`[private]`

| Scheduling policy. Scheduling policy specified by the user through the -ORBSchedPolicy option. This value is typically used by functions like ACE_OS::thr_setprio() and ACE_Sched_Params::priority_min(). Legal values are ACE_SCHED_RR, ACE_SCHED_FIFO, and ACE_SCHED_OTHER.

int TAO_RT_ORBInitializer::network_priority_mapping_type_`[private]`

| Network Priority mapping type.

TAO_RT_PolicyFactory TAO_RT_ORBInitializer::policy_factory_`[private]`

| Instance of the RTCORBA policy factory. The RTCORBA policy factory is stateless and reentrant, so share a single instance between all ORBs.

int TAO_RT_ORBInitializer::priority_mapping_type_`[private]`

| Priority mapping type.

long TAO_RT_ORBInitializer::sched_policy_`[private]`

| Scheduling policy flag. Scheduling policy specified by the user through the -ORBSchedPolicy option. This value is typically used by ACE thread creation functions. Legal values are THR_SCHED_RR, THR_SCHED_FIFO, and THR_SCHED_DEFAULT.

long TAO_RT_ORBInitializer::scope_policy_`[private]`

| Scheduling scope flag. Scheduling policy specified by the user through the -ORBScopePolicy option. This value is typically used by ACE thread creation functions. Legal values are THR_SCOPE_SYSTEM and THR_SCOPE_PROCESS.

The documentation for this class was generated from the following files:

- RT_ORBInitializer.h
- RT_ORBInitializer.cpp